# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/gmcs /usr/bin/pkg-config pkgconfig(glade-sharp-2.0) pkgconfig(glib-sharp-2.0) pkgconfig(gtk-sharp-2.0)
# END SourceDeps(oneline)
#this is to prevent empty debuginfo failur
%global debug_package %{nil}

Name:           monobristol
Version:        0.60.3
Release:        alt1_10
Summary:        GUI launcher for Bristol in Mono

Group:          Sound
License:        GPL+
URL:            http://www.dacr.hu/monobristol/
Source:         http://www.dacr.hu/monobristol/%{name}-%{version}.tar.gz
# No upstrem bugtracker. Patch emailed upstream 20120626
# The patch removes shebang from the top and removes .png extension from icon key
Patch1:         %{name}-0.60.3-desktop.patch
Requires:       bristol
Requires:       mono
Requires:       icon-theme-hicolor

BuildRequires:  libgtk-sharp2-devel
BuildRequires:  desktop-file-utils

ExclusiveArch:  %{mono_arches}
Source44: import.info


%description
monoBristol is very simple Gui for Bristol Synthesiser.
Bristol is an emulation package for a number of different 'classic' 
synthesizers including additive and subtractive and a few organs.

%prep
%setup -q
%patch1 -p1

%build
%configure
make %{?_smp_mflags} 

%install
#removal of buildroot is no longer necassary, except for EPEL5
make install DESTDIR=%{buildroot}

#install the icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
mv %{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

desktop-file-install    \
    --dir %{buildroot}%{_datadir}/applications \
     monoBristol.desktop

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/monoBristol.desktop
%{_libdir}/%{name}/
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.60.3-alt1_10
- initial fc import

